Skip to content
Start here

Refresh participant's authentication token

client.realtimeKit.meetings.refreshParticipantToken(stringappId, stringmeetingId, stringparticipantId, MeetingRefreshParticipantTokenParams { account_id } params, RequestOptionsoptions?): MeetingRefreshParticipantTokenResponse { data, success }
POST/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants/{participant_id}/token

Regenerates participant’s authentication token for the given meeting and participant ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appId: string

The app identifier tag.

maxLength32
meetingId: string
formatuuid
participantId: string
params: MeetingRefreshParticipantTokenParams { account_id }
account_id: string

The account identifier tag.

maxLength32
ReturnsExpand Collapse
MeetingRefreshParticipantTokenResponse { data, success }
data: Data { token }

Data returned by the operation

token: string

Regenerated participant’s authentication token.

success: boolean

Success status of the operation

Refresh participant's authentication token

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.realtimeKit.meetings.refreshParticipantToken(
  'app_id',
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  'participant_id',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(response.data);
{
  "data": {
    "token": "token"
  },
  "success": true
}
Returns Examples
{
  "data": {
    "token": "token"
  },
  "success": true
}